Skip to main content
GET
/
beta
/
fleet
/
drivers
/
efficiency
[beta] List driver efficiency
curl --request GET \
  --url https://api.samsara.com/beta/fleet/drivers/efficiency \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "driverSummaries": [
      {
        "anticipationBrakeEventCount": 123,
        "coastingDurationMs": 123,
        "cruiseControlDurationMs": 123,
        "driver": {
          "externalIds": {
            "maintenanceId": "250020",
            "payrollId": "ABFS18600"
          },
          "id": "88668",
          "name": "Susan Bob",
          "username": "susanbob"
        },
        "greenBandDrivingDurationMs": 123,
        "highTorqueMs": 123,
        "overSpeedMs": 123,
        "totalBrakeEventCount": 123,
        "totalDistanceDrivenMeters": 123,
        "totalDriveTimeDurationMs": 123,
        "totalFuelConsumedMl": 123,
        "totalIdleTimeDurationMs": 123,
        "totalPowerTakeOffDurationMs": 123,
        "vehicleSummaries": [
          {
            "anticipationBrakeEventCount": 123,
            "coastingDurationMs": 123,
            "cruiseControlDurationMs": 123,
            "distanceDrivenMeters": 123,
            "driveTimeDurationMs": 123,
            "fuelConsumedMl": 123,
            "greenBandDrivingDurationMs": 123,
            "highTorqueMs": 123,
            "idleTimeDurationMs": 123,
            "overSpeedMs": 123,
            "powerTakeOffDurationMs": 123,
            "totalBrakeEventCount": 123,
            "vehicle": {
              "ExternalIds": {
                "maintenanceId": "250020",
                "payrollId": "ABFS18600"
              },
              "id": "123456789",
              "name": "Midwest Truck #4"
            }
          }
        ]
      }
    ],
    "summaryEndTime": "2020-03-16T16:00:00Z",
    "summaryStartTime": "2020-03-15T16:00:00Z"
  },
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

driverActivationStatus
enum<string>

If value is deactivated, only drivers that are deactivated will appear in the response. This parameter will default to active if not provided (fetching only active drivers).

Available options:
active,
deactivated
driverIds
string[]

A filter on the data based on this comma-separated list of driver IDs. Cannot be used with tag filtering or driver status. Example: driverIds=1234,5678

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

driverTagIds
string[]

Filters summary to drivers based on this comma-separated list of tag IDs. Data from all the drivers' respective vehicles will be included in the summary, regardless of which tag the vehicle is associated with. Should not be provided in addition to driverIds. Example: driverTagIds=1234,5678

driverParentTagIds
string[]

Filters like driverTagIds but includes descendants of all the given parent tags. Should not be provided in addition to driverIds. Example: driverParentTagIds=1234,5678

startTime
string<date-time>

A start time in RFC 3339 format. The results will be truncated to the hour mark for the provided time. For example, if startTime is 2020-03-17T12:06:19Z then the results will include data starting from 2020-03-17T12:00:00Z. The provided start time cannot be in the future. Start time can be at most 31 days before the end time. If the start time is within the last hour, the results will be empty. Default: 24 hours prior to endTime.

Note that the most recent 72 hours of data may still be processing and is subject to change and latency, so it is not recommended to request data for the most recent 72 hours.

endTime
string<date-time>

An end time in RFC 3339 format. The results will be truncated to the hour mark for the provided time. For example, if endTime is 2020-03-17T12:06:19Z then the results will include data up until 2020-03-17T12:00:00Z. The provided end time cannot be in the future. End time can be at most 31 days after the start time. Default: The current time truncated to the hour mark.

Note that the most recent 72 hours of data may still be processing and is subject to change and latency, so it is not recommended to request data for the most recent 72 hours

Response

List of all driver and associated vehicle efficiency data

Summary of drivers' efficiencies over a time range.

data
object
pagination
object

Pagination parameters.